Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356892 - Boot guest with vhostuser server mode, QEMU prompt 'Segmentation fault' after executing '(qemu)system_powerdown'
Summary: Boot guest with vhostuser server mode, QEMU prompt 'Segmentation fault' after...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Pei Zhang
URL:
Whiteboard:
Depends On: 1354090
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 08:34 UTC by Marcel Kolaja
Modified: 2019-03-25 01:50 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.3.0-31.el7_2.19
Doc Type: Bug Fix
Doc Text:
When a guest virtual machine was configured as a vhost-user server and the back end was restarted, the guest was not able to recover. With this update, the back end is able to discard the SET_VRING_BASE value and resume from index. This allows the guest to recover successfully in the described scenario.
Clone Of: 1354090
Environment:
Last Closed: 2016-08-12 13:22:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1614 normal SHIPPED_LIVE qemu-kvm-rhev bug fix update 2016-08-12 17:21:32 UTC

Description Marcel Kolaja 2016-07-15 08:34:25 UTC
This bug has been copied from bug #1354090 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 3 Ademar Reis 2016-07-15 19:33:07 UTC
7.2.z scratch build:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=11354503

Comment 6 Pei Zhang 2016-07-20 11:30:47 UTC
Verification:

Versions:qemu-kvm-rhev-2.3.0-31.el7_2.19.x86_64

Steps:
1. Run a slirp/vlan in a background process
# /usr/libexec/qemu-kvm \
-net none \
-net socket,vlan=0,udp=localhost:4444,localaddr=localhost:5555 \
-net user,vlan=0

2. Start qemu with vhost-user as server mode
/usr/libexec/qemu-kvm -enable-kvm -m 1024 -smp 2 \
-object memory-backend-file,id=mem,size=1024M,mem-path=/dev/hugepages,share=on \
-numa node,memdev=mem -mem-prealloc \
-monitor stdio \
-vga std -vnc :10 \
/home/pezhang/rhel7.3-1.qcow2 \
-chardev socket,id=char0,path=/tmp/vubr.sock,server \
-device virtio-net-pci,netdev=mynet1,mac=54:52:00:1a:2c:01 \
-netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \

QEMU waiting for connection on: disconnected:unix:/tmp/vubr.sock,server

3. Start vubr as vhostuser client
# ./vhost-user-bridge -c

4. After guest boot up, shutdown it. Qemu can quit well.
(qemu) system_powerdown 
or
in guest
# shutdown -h now

So this bug has been fixed well. Thank you.

Comment 9 errata-xmlrpc 2016-08-12 13:22:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1614.html


Note You need to log in before you can comment on or make changes to this bug.